﻿using System;
using System.Collections;
using System.Collections.Generic;
using System.Linq;
using Windows.UI;
using Windows.UI.Xaml;
using Windows.UI.Xaml.Controls;
using Windows.UI.Xaml.Media;

namespace VerticalAlignment
{
    public sealed partial class MainPage : Page
    {
        public MainPage()
        {
            this.InitializeComponent();

            // Error:
            mainGrid.RowDefinitions.Add(new RowDefinition() { Height = new GridLength(1, GridUnitType.Auto) });
            // Works:
            // mainGrid.RowDefinitions.Add(new RowDefinition() { Height = new GridLength(300) });
            
            // add first grid in first row
            Grid envGrid1 = new Grid() { VerticalAlignment = Windows.UI.Xaml.VerticalAlignment.Top, Background = new SolidColorBrush(Color.FromArgb(255, 255, 0, 0)) };
            envGrid1.Height = 100;
            envGrid1.Width = 100;
            mainGrid.Children.Add(envGrid1);

            // second grid
            Grid envGrid2 = new Grid() { VerticalAlignment = Windows.UI.Xaml.VerticalAlignment.Top, Background = new SolidColorBrush(Color.FromArgb(255, 0, 255, 0)) };
            envGrid2.Height = 200;
            envGrid2.Width = 100;
            Grid.SetColumn(envGrid2, 1);
            mainGrid.Children.Add(envGrid2);

            // and create a filler (not needed to see error)
            mainGrid.RowDefinitions.Add(new RowDefinition() { Height = new GridLength(1, GridUnitType.Star) });
        }
    }
}
